Skip to main content
GET
/
v1
/
transactions
/
{transaction_id}
Get transaction
curl --request GET \
  --url https://api.clearbox.example.com/v1/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "transaction_id": "txn_2f9e",
  "card_id": "<string>",
  "merchant_id": "<string>",
  "terminal_id": "<string>",
  "amount": "15.00",
  "currency": "USD",
  "authorized_in_ms": 198,
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Path Parameters

transaction_id
string
required
Example:

"txn_2f9e"

Response

The transaction.

transaction_id
string
Example:

"txn_2f9e"

card_id
string
merchant_id
string
terminal_id
string
amount
string
Example:

"15.00"

currency
string
Example:

"USD"

status
enum<string>
Available options:
authorized,
settled,
declined,
reversed
authorized_in_ms
integer
Example:

198

created_at
string<date-time>